org.bdgenomics.adam.models

# ReadGroup

###
Related Docs: object ReadGroup | package models

#### case class ReadGroup(sampleId: String, id: String, sequencingCenter: Option[String] = None, description: Option[String] = None, runDateEpoch: Option[Long] = None, flowOrder: Option[String] = None, keySequence: Option[String] = None, library: Option[String] = None, predictedMedianInsertSize: Option[Int] = None, platform: Option[String] = None, platformUnit: Option[String] = None) extends Product with Serializable

A read group represents a set of reads that were sequenced/processed/prepped/analyzed together.

sampleId

  The sample these reads are from.

id

  The identifier for this read group.

sequencingCenter

  The optional name of the place where these reads were sequenced.

description

  An optional description for this read group.

runDateEpoch

  An optional Unix epoch timestamp for when these reads were run through the sequencer.

flowOrder

  An optional string of nucleotides that were used for each flow of each read.

keySequence

  An optional string of nucleotides that are the key for this read.

library

  An optional library name.

predictedMedianInsertSize

  An optional prediction of the read insert size for this library prep.

platform

  An optional description for the platform this group was sequenced on.

platformUnit

  An optional ID for the sequencer this group was sequenced on.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReadGroup
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReadGroup(sampleId: String, id: String, sequencingCenter: Option[String] = None, description: Option[String] = None, runDateEpoch: Option[Long] = None, flowOrder: Option[String] = None, keySequence: Option[String] = None, library: Option[String] = None, predictedMedianInsertSize: Option[Int] = None, platform: Option[String] = None, platformUnit: Option[String] = None)

   sampleId

     The sample these reads are from.

   id

     The identifier for this read group.

   sequencingCenter

     The optional name of the place where these reads were sequenced.

   description

     An optional description for this read group.

   runDateEpoch

     An optional Unix epoch timestamp for when these reads were run through the sequencer.

   flowOrder

     An optional string of nucleotides that were used for each flow of each read.

   keySequence

     An optional string of nucleotides that are the key for this read.

   library

     An optional library name.

   predictedMedianInsertSize

     An optional prediction of the read insert size for this library prep.

   platform

     An optional description for the platform this group was sequenced on.

   platformUnit

     An optional ID for the sequencer this group was sequenced on.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val description: Option[String]

   An optional description for this read group.

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(o: Any): Boolean

   Compares equality to another object.

   Compares equality to another object. Only checks equality via the sampleId and id fields.

   o

     Object to compare against.

   returns

     Returns true if the object is a ReadGroup, and the sampleId and id fields are equal. Else, returns false.

   Definition Classes
     ReadGroup → Equals → AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### val flowOrder: Option[String]

    An optional string of nucleotides that were used for each flow of each read.

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Generates a hash from the sampleId and id fields.

    Generates a hash from the sampleId and id fields.

    returns

      Hash code for this object.

    Definition Classes
      ReadGroup → AnyRef → Any

13. #### val id: String

    The identifier for this read group.

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val keySequence: Option[String]

    An optional string of nucleotides that are the key for this read.

16. #### val library: Option[String]

    An optional library name.

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val platform: Option[String]

    An optional description for the platform this group was sequenced on.

21. #### val platformUnit: Option[String]

    An optional ID for the sequencer this group was sequenced on.

22. #### val predictedMedianInsertSize: Option[Int]

    An optional prediction of the read insert size for this library prep.

23. #### val runDateEpoch: Option[Long]

    An optional Unix epoch timestamp for when these reads were run through the sequencer.

24. #### val sampleId: String

    The sample these reads are from.

25. #### val sequencingCenter: Option[String]

    The optional name of the place where these reads were sequenced.

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toMetadata: formats.avro.ReadGroup

    Converts this into an Avro ReadGroup description for serialization to disk.

    Converts this into an Avro ReadGroup description for serialization to disk.

    returns

      Returns Avro version of ReadGroup.

28. #### def toSAMReadGroupRecord(): SAMReadGroupRecord

    Converts a read group into a SAM formatted read group.

    Converts a read group into a SAM formatted read group.

    returns

      A SAM formatted read group.

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped